aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNick Mathewson <nickm@torproject.org>2018-11-02 10:01:26 -0400
committerNick Mathewson <nickm@torproject.org>2018-11-02 10:01:26 -0400
commitf57fd0318a0c02ed1e8a4f3ff65e9d1e328fe811 (patch)
tree89ed60ba22e5e48627a056660b14674b47f615dc
parent2ac24b503b77dfc9aa414902b6b00221339abaf6 (diff)
parent8b5ad246e81a8346b79d37052320753f87e22a04 (diff)
downloadtor-f57fd0318a0c02ed1e8a4f3ff65e9d1e328fe811.tar.gz
tor-f57fd0318a0c02ed1e8a4f3ff65e9d1e328fe811.zip
Merge remote-tracking branch 'tor-github/pr/397'
-rw-r--r--changes/ticket280063
-rwxr-xr-xscripts/test/chutney-git-bisect.sh6
2 files changed, 6 insertions, 3 deletions
diff --git a/changes/ticket28006 b/changes/ticket28006
new file mode 100644
index 0000000000..95a4b2cae4
--- /dev/null
+++ b/changes/ticket28006
@@ -0,0 +1,3 @@
+ o Code simplification and refactoring:
+ - Fix issues that shellcheck found in chutney-git-bisect.sh.
+ Resolves ticket 28006.
diff --git a/scripts/test/chutney-git-bisect.sh b/scripts/test/chutney-git-bisect.sh
index 8a3f2c70c8..dc1319a27a 100755
--- a/scripts/test/chutney-git-bisect.sh
+++ b/scripts/test/chutney-git-bisect.sh
@@ -20,7 +20,7 @@ if [ ! -z "$1" ]; then
fi
if [ ! -z "$2" ]; then
- cd "$2"
+ cd "$2" || exit
fi
CHUTNEY_TEST_CMD="make test-network-all"
@@ -54,9 +54,9 @@ while [ "$i" -le "$CHUTNEY_TRIES" ]; do
echo "test '$CHUTNEY_TEST_CMD' succeeded after $i/$CHUTNEY_TRIES attempts, good"
exit 0
fi
- i=$[$i+1]
+ i=$((i+1))
done
-i=$[$i-1]
+i=$((i-1))
echo "test '$CHUTNEY_TEST_CMD' failed $i/$CHUTNEY_TRIES attempts, bad"
exit 1